VIPW(8)

BEZEICHNUNG
vipw, vigr - die Passwort- oder Gruppendatei bearbeiten

ÜBERSICHT

vipw [Optionen]

vigr [Optionen]

BESCHREIBUNG

vipw bearbeitet die Passwort-Datei, nachdem es die entsprechenden Sperren gesetzt hat, und führt sämtliche notwendigen Verarbeitungen aus, nachdem die Passwortdatei entsperrt ist. Falls die Passwortdatei bereits von einem anderen Benutzer zur Bearbeitung gesperrt ist, wird vipw Sie bitten, es später noch einmal zu versuchen. Der Standardeditor für vipw und vigr ist vi(1). vigr bearbeitet die Gruppendatei auf die gleiche Weise wie vipw die Passwortdatei.

OPTIONEN

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

UMGEBUNGSVARIABLEN

Falls die folgenden Umgebungsvariablen existieren, werden sie von vipw und vigr verwendet:

EDITOR
    Der durch die Zeichenkette EDITOR angegebene Editor wird anstelle des Standardeditors vi(1) aufgerufen.

GESCHICHTE

Der Befehl vipw erschien in 4.0BSD. Der Befehl vigr erschien in Util-Linux 2.6.

SIEHE AUCH

vi(1), passwd(1), flock(2), passwd(5)

VERFÜGBARKEIT

Die Befehle vigr und vipw sind Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.